Name:           igmpproxy
Version:        0.1
Release:        1%{?dist}
Summary:        Simple mulitcast router that only uses the IGMP protocol

Group:          System Environment/Daemons
License:        GPLv2+ Stanford
URL:            http://sourceforge.net/projects/igmpproxy/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Source1:        igmpproxy.service

BuildRequires:  systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
IGMPproxy is a simple dynamic Multicast Routing Daemon
using only IGMP signalling. It's intended for simple
forwarding of Multicast traffic between networks.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

%post
%systemd_post igmpproxy.service

%preun
%systemd_preun igmpproxy.service

%postun
%systemd_postun_with_restart igmpproxy.service


%files
%doc AUTHORS COPYING ChangeLog NEWS README GPL.txt
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sbindir}/%{name}
%{_mandir}/man5/%{name}.conf.5.*
%{_mandir}/man8/%{name}.8.*
%{_unitdir}/%{name}.service


%changelog
* Sun May 16 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.1-1
- Initial RPM release
